body {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    height: 100vh;
    margin: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #1e1e1e;
}

h1 {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    margin-top: 0;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background-color: #333;
    padding: 15px;
    color: white;
    text-align: center;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
}

.progress-container {
    width: 80%;
    max-width: 500px;
    background-color: #333;
    height: 20px;
    border-radius: 10px;
    overflow: hidden;
    margin: auto;
}

.progress-bar {
    width: 0;
    height: 100%;
    background-color: #4CAF50;
    transition: width 1s;
}

.hidden {
    display: none;
}

/* Dropdown styles */
.dropdown {
    position: relative;
    display: inline-block;
    margin-top: 20px;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #333;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
}

.dropdown-content a {
    color: white;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
}

.dropdown-content a:hover {
    background-color: #555;
}

.dropbtn {
    background-color: #4CAF50;
    color: white;
    padding: 16px;
    font-size: 16px;
    border: none;
    cursor: pointer;
    transition: background-color 0.3s;
}

.dropbtn:hover {
    background-color: #45a049;
}
